package com.bocloud.cmp.model.hmc;

import java.util.List;

public class HmdVirtualFabricAdapterModel extends HmdGenericModel {
    private String name; // 名称
    private String targetType; // 目标类型，取值：partition或profile
    private Integer adapterId; // 适配器id
    private Integer remoteAdapterId; // 对端适配器id
    private String type; // 适配器类型：Client或Server
    private Boolean isRequired; // 要激活分区，此适配器时必须的
    private Boolean isVaried; // 多彩多样的
    private String locationCode; // 物理位置码
    private String uniqueDeviceID; // 唯一设备id
    private HmdPartitionModel partition; // 所属的lpar/vios
    private HmdProfileModel profile; // 所属的概要文件
    private HmdPartitionModel remotePartition; // 远端的lpar/vios
    private List<HmdVirtualFabricAdapterWwpnModel> wwpns; // wwpn列表

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getTargetType() {
        return targetType;
    }

    public void setTargetType(String targetType) {
        this.targetType = targetType;
    }

    public Integer getAdapterId() {
        return adapterId;
    }

    public void setAdapterId(Integer adapterId) {
        this.adapterId = adapterId;
    }

    public Integer getRemoteAdapterId() {
        return remoteAdapterId;
    }

    public void setRemoteAdapterId(Integer remoteAdapterId) {
        this.remoteAdapterId = remoteAdapterId;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Boolean getIsRequired() {
        return isRequired;
    }

    public void setIsRequired(Boolean isRequired) {
        this.isRequired = isRequired;
    }

    public Boolean getIsVaried() {
        return isVaried;
    }

    public void setIsVaried(Boolean isVaried) {
        this.isVaried = isVaried;
    }

    public String getLocationCode() {
        return locationCode;
    }

    public void setLocationCode(String locationCode) {
        this.locationCode = locationCode;
    }

    public HmdPartitionModel getRemotePartition() {
        return remotePartition;
    }

    public HmdPartitionModel newRemotePartition() {
        this.remotePartition = new HmdPartitionModel();
        return remotePartition;
    }

    public void setRemotePartition(HmdPartitionModel remotePartition) {
        this.remotePartition = remotePartition;
    }

    public List<HmdVirtualFabricAdapterWwpnModel> getWwpns() {
        return wwpns;
    }

    public void setWwpns(List<HmdVirtualFabricAdapterWwpnModel> wwpns) {
        this.wwpns = wwpns;
    }

    public String getUniqueDeviceID() {
        return uniqueDeviceID;
    }

    public void setUniqueDeviceID(String uniqueDeviceID) {
        this.uniqueDeviceID = uniqueDeviceID;
    }

    public HmdPartitionModel getPartition() {
        return partition;
    }

    public void setPartition(HmdPartitionModel partition) {
        this.partition = partition;
    }

    public HmdProfileModel getProfile() {
        return profile;
    }

    public void setProfile(HmdProfileModel profile) {
        this.profile = profile;
    }
}
